Kabon Share API
  1. Subscriptions
Kabon Share API
  • Authentication
    • Create new user account
      POST
    • Login to existing account
      POST
    • Initiate Google OAuth for YouTube
      GET
    • Initiate Facebook OAuth
      GET
    • Get OAuth authorization URL for a platform
      GET
    • Get connected social accounts
      GET
    • Connect a specific Facebook Page by ID
      POST
  • Posts
    • Create and publish a post
      POST
    • Get user's posts
      GET
    • Get post details
      GET
    • Update post
      PATCH
    • Delete post
      DELETE
  • Assets
    • Upload media asset
      POST
    • Get user's assets
      GET
    • Delete asset
      DELETE
  • Plans
    • Get available subscription plans
      GET
  • Subscriptions
    • Upgrade subscription plan
      POST
    • Get subscription status
      GET
  • Services
    • Get service status
      GET
    • Toggle service on/off (admin only)
      POST
  • Queue
    • Get queue statistics
      GET
  • Internal
    • Internal endpoint for worker-to-server file uploads
      POST
  • Workspaces
    • Get all workspaces for the authenticated user
    • Create a new workspace
    • Get a specific workspace
    • Update a workspace
    • Delete a workspace
  • Schemas
    • Error
    • User
    • Subscription
    • Plan
    • Post
    • PlatformPost
    • Media
    • Asset
    • SocialAccount
    • Workspace
  1. Subscriptions

Get subscription status

GET
https://api.mediashare.com/api/subscriptions/status

Request

Authorization
API Key
Add parameter in header
X-API-Key
Example:
X-API-Key: ********************
or

Responses

🟢200
application/json
Current subscription details
Body

Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request GET 'https://api.mediashare.com/api/subscriptions/status' \
--header 'X-API-Key: <api-key>'
Response Response Example
{
    "plan": "free",
    "status": "active",
    "creditsRemaining": 0,
    "creditsPerMonth": 0,
    "startDate": "2019-08-24T14:15:22.123Z",
    "endDate": "2019-08-24T14:15:22.123Z"
}
Modified at 2025-12-29 09:11:21
Previous
Upgrade subscription plan
Next
Get service status
Built with